Skip to main content
GET
/
v2
/
{appId}
/
topics
Get App Topics
curl --request GET \
  --url https://alerts-api.dial.to/v2/{appId}/topics \
  --header 'x-dialect-api-key: <api-key>'
import requests

url = "https://alerts-api.dial.to/v2/{appId}/topics"

headers = {"x-dialect-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-dialect-api-key': '<api-key>'}};

fetch('https://alerts-api.dial.to/v2/{appId}/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Price Alerts",
      "slug": "price-alerts",
      "description": "Receive alerts when prices drop below a certain threshold"
    }
  ]
}

Authorizations

x-dialect-api-key
string
header
required

API key to authorize app-level requests

Path Parameters

appId
string<uuid>
required

Application ID

Example:

"255d6163-7e25-43e9-a188-c2f8d0980a4a"

Response

List of topics

items
object[]
required

List of alert topics for the app